Change in osmo-gsm-manuals[master]: publish from project repos, not this repo anymore

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Wed Nov 21 15:12:57 UTC 2018


osmith has submitted this change and it was merged. ( https://gerrit.osmocom.org/11740 )

Change subject: publish from project repos, not this repo anymore
......................................................................

publish from project repos, not this repo anymore

Do not publish PDFs for all projects anymore with jenkins.sh --publish
or "make publish". Extract known_hosts from jenkins.sh, and install it
along with the other shared files in OSMO_GSM_MANUALS_DIR. Add a
"publish" target to Makefile.common.inc, so we can use it from the
project repositories. Document its usage in INSTALL.txt.

No automatism for building and publishing the documentation of all
projects will be implemented in this patch series, as discussed here:
https://osmocom.org/issues/3385#note-7

(moving manuals to project repositories 19/19)

Related: OS#3385
Change-Id: Ibe0424ceace151115985896b6d43035c69067c50
---
M INSTALL.txt
M build/Makefile.common.inc
A build/known_hosts
M contrib/jenkins.sh
4 files changed, 32 insertions(+), 18 deletions(-)

Approvals:
  Neels Hofmeyr: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/INSTALL.txt b/INSTALL.txt
index 6efe8d1..c3caefe 100644
--- a/INSTALL.txt
+++ b/INSTALL.txt
@@ -14,13 +14,26 @@
 
 (Note that asciidoc-dblatex is required from debian 9 on and did not exist before.)
 
-Build PDFs, run:
+Prepare your build dir:
   autoreconf -fi
   ./configure
-  make
 
-or for a parallel build using more CPU cores, replace make with:
-  make -j 5
+Optionally test building all shared content (use -j for parallel building):
+  make        # generate test PDFs
+  make check  # test for asciidoc errors
+
+Install osmo-gsm-manuals:
+  make install
+
+Build the manuals of a specific Osmocom project:
+  cd ../osmo-msc        # enter the project dir, clone first if needed
+  ./configure --enable-manuals
+  make
+  ls doc/manuals/*.pdf  # find the PDFs here
+
+Publish PDFs to the Osmocom server:
+  cd ../osmo-msc  # enter the project dir
+  make -C doc/manuals publish
 
 To update the VTY reference for a given program, use 'osmo_interact_vty.py -X',
 available from git.osmocom.org/python/osmo-python-tests:
diff --git a/build/Makefile.common.inc b/build/Makefile.common.inc
index efd56f6..0ee648a 100644
--- a/build/Makefile.common.inc
+++ b/build/Makefile.common.inc
@@ -5,6 +5,7 @@
 #
 # Include this file at the end to have the common targets (upload, clean etc.).
 
+SSH_COMMAND = ssh -o 'UserKnownHostsFile=$(OSMO_GSM_MANUALS_DIR)/build/known_hosts' -p 48
 UPLOAD_PATH ?= generic at sysmocom-downloads:documents
 SYMLINKS = common build
 CLEAN_FILES += $(SYMLINKS)
@@ -19,3 +20,8 @@
 	-rm -rf $(CLEAN_FILES)
 
 distclean: clean
+
+publish: all check
+	mkdir -p out
+	cp *.pdf out
+	rsync -avz -e "$(SSH_COMMAND)" ./out/ docs at rita.osmocom.org:web-files/latest/
diff --git a/build/known_hosts b/build/known_hosts
new file mode 100644
index 0000000..c78b03d
--- /dev/null
+++ b/build/known_hosts
@@ -0,0 +1,3 @@
+[rita.osmocom.org]:48 ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDDgQ9HntlpWNmh953a2Gc8NysKE4orOatVT1wQkyzhARnfYUerRuwyNr1GqMyBKdSI9amYVBXJIOUFcpV81niA7zQRUs66bpIMkE9/rHxBd81SkorEPOIS84W4vm3SZtuNqa+fADcqe88Hcb0ZdTzjKILuwi19gzrQyME2knHY71EOETe9Yow5RD2hTIpB5ecNxI0LUKDq+Ii8HfBvndPBIr0BWYDugckQ3Bocf+yn/tn2/GZieFEyFpBGF/MnLbAAfUKIdeyFRX7ufaiWWz5yKAfEhtziqdAGZaXNaLG6gkpy3EixOAy6ZXuTAk3b3Y0FUmDjhOHllbPmTOcKMry9
+[rita.osmocom.org]:48 ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBPdWn1kEousXuKsZ+qJEZTt/NSeASxCrUfNDW3LWtH+d8Ust7ZuKp/vuyG+5pe5pwpPOgFu7TjN+0lVjYJVXH54=
+[rita.osmocom.org]:48 ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK8iivY70EiR5NiGChV39gRLjNpC8lvu1ZdHtdMw2zuX
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 626160e..7d4d8df 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -2,7 +2,12 @@
 
 set -ex
 
-publish="$1"
+if [ -n "$1" ]; then
+    echo "ERROR: --publish has been deprecated!"
+    echo "Manuals have been moved to the projects, and need to be published from there."
+    echo "See INSTALL.txt for more information."
+    exit 1
+fi
 
 osmo-clean-workspace.sh
 
@@ -12,17 +17,4 @@
 $MAKE $PARALLEL_MAKE check
 $MAKE $PARALLEL_MAKE distcheck
 
-if [ "x$publish" = "x--publish" ]; then
-  mkdir out/
-  cp */*.pdf out/
-
-  cat > "$WORKSPACE/known_hosts" <<EOF
-[rita.osmocom.org]:48 ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDDgQ9HntlpWNmh953a2Gc8NysKE4orOatVT1wQkyzhARnfYUerRuwyNr1GqMyBKdSI9amYVBXJIOUFcpV81niA7zQRUs66bpIMkE9/rHxBd81SkorEPOIS84W4vm3SZtuNqa+fADcqe88Hcb0ZdTzjKILuwi19gzrQyME2knHY71EOETe9Yow5RD2hTIpB5ecNxI0LUKDq+Ii8HfBvndPBIr0BWYDugckQ3Bocf+yn/tn2/GZieFEyFpBGF/MnLbAAfUKIdeyFRX7ufaiWWz5yKAfEhtziqdAGZaXNaLG6gkpy3EixOAy6ZXuTAk3b3Y0FUmDjhOHllbPmTOcKMry9
-[rita.osmocom.org]:48 ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBPdWn1kEousXuKsZ+qJEZTt/NSeASxCrUfNDW3LWtH+d8Ust7ZuKp/vuyG+5pe5pwpPOgFu7TjN+0lVjYJVXH54=
-[rita.osmocom.org]:48 ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK8iivY70EiR5NiGChV39gRLjNpC8lvu1ZdHtdMw2zuX
-EOF
-  SSH_COMMAND="ssh -o 'UserKnownHostsFile=$WORKSPACE/known_hosts' -p 48"
-  rsync -avz --delete -e "$SSH_COMMAND" ./out/ docs at rita.osmocom.org:web-files/latest/
-fi
-
 osmo-clean-workspace.sh

-- 
To view, visit https://gerrit.osmocom.org/11740
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-gsm-manuals
Gerrit-Branch: master
Gerrit-MessageType: merged
Gerrit-Change-Id: Ibe0424ceace151115985896b6d43035c69067c50
Gerrit-Change-Number: 11740
Gerrit-PatchSet: 5
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder (1000002)
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Pau Espin Pedrol <pespin at sysmocom.de>
Gerrit-Reviewer: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20181121/5b5dad6e/attachment.htm>


More information about the gerrit-log mailing list